intern-0.9.1.1: Efficient hash-consing for arbitrary data types

Safe Haskell | None

Data.Interned.Internal.String

# Documentation

data InternedString Source

Constructors

IS |

Fields

internedStringId :: !Id
uninternString :: String

Instances

Eq InternedString |
Ord InternedString |
Show InternedString |
IsString InternedString |
Uninternable InternedString |
Interned InternedString |
Eq (Description InternedString) |
Hashable (Description InternedString) |